/*
    lsadl is a frontend/wrapper to the adl_sdk using gtk
    Copyright (C) 2011  Sterling Pickens

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "Globals.h"

int No_Exit;
char ADL_Func_Enabled[LSADL_FUNCS];
char ADL_Func_Notes[LSADL_FUNCS];

/*
void *__stdcall ADL_Main_Memory_Alloc(int iSize){
	void* lpBuffer = malloc ( iSize );
	return lpBuffer;
}

void __stdcall ADL_Main_Memory_Free(void **lpBuffer){
    if(NULL != *lpBuffer){
        free(*lpBuffer);
        *lpBuffer = NULL;
    }
}
*/
void Sleep(int time){
    usleep(time*1000);
}

void *GetProcAddress(void *pLibrary, const char *name){
    return dlsym(pLibrary, name);
}



